- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TimeDomainStageObjectives Class Reference

The in-memory representation of the <objectives> child of the <stage> element. More...

`#include <OSInstance.h>`

Collaboration diagram for TimeDomainStageObjectives:

[legend]
List of all members.

## Public Member Functions
| TimeDomainStageObjectives ()
| The TimeDomainStageObjectives class constructor.
| ~TimeDomainStageObjectives ()
| The TimeDomainStageObjectives class destructor.
| TimeDomainStageObjectives ()
| The TimeDomainStageObjectives class constructor.
| ~TimeDomainStageObjectives ()
| The TimeDomainStageObjectives class destructor.
## Public Attributes
int | numberOfObjectives
| numberOfObjectives gives the number of objectives contained in this stage
int | startIdx
| startdIdx gives the number of the first objective contained in this stage
TimeDomainStageObj ** | obj
| obj is a pointer to an array of TimeDomainStageObj object pointers
TimeDomainStageObj ** | obj
| obj is a pointer to an array of TimeDomainStageObj object pointers

## Detailed Description

The in-memory representation of the <objectives> child of the <stage> element.

Definition at line 601 of file OSInstance.h.

## Constructor & Destructor Documentation

TimeDomainStageObjectives::TimeDomainStageObjectives | ( |  | ) |

The TimeDomainStageObjectives class constructor.

Definition at line 808 of file OSInstance.cpp.

References obj.

TimeDomainStageObjectives::~TimeDomainStageObjectives | ( |  | ) |

The TimeDomainStageObjectives class destructor.

Definition at line 818 of file OSInstance.cpp.

References numberOfObjectives, and obj.

TimeDomainStageObjectives::TimeDomainStageObjectives | ( |  | ) |

The TimeDomainStageObjectives class constructor.

TimeDomainStageObjectives::~TimeDomainStageObjectives | ( |  | ) |

The TimeDomainStageObjectives class destructor.

## Member Data Documentation

int TimeDomainStageObjectives::numberOfObjectives

numberOfObjectives gives the number of objectives contained in this stage

Definition at line 611 of file OSInstance.h.

Referenced by OSInstance::getTimeDomainStageNumberOfObjectives(), OSInstance::setTimeDomainStageObjectivesOrdered(), OSInstance::setTimeDomainStageObjectivesUnordered(), and ~TimeDomainStageObjectives().

int TimeDomainStageObjectives::startIdx

startdIdx gives the number of the first objective contained in this stage

Definition at line 614 of file OSInstance.h.

Referenced by OSInstance::getTimeDomainStageObjList(), and OSInstance::setTimeDomainStageObjectivesOrdered().

TimeDomainStageObj** TimeDomainStageObjectives::obj

obj is a pointer to an array of TimeDomainStageObj object pointers

Definition at line 617 of file OSInstance.h.

Referenced by OSInstance::getTimeDomainStageObjList(), OSInstance::setTimeDomainStageObjectivesUnordered(), TimeDomainStageObjectives(), and ~TimeDomainStageObjectives().

TimeDomainStageObj** TimeDomainStageObjectives::obj

obj is a pointer to an array of TimeDomainStageObj object pointers

Definition at line 559 of file OSInstance.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp